Bug 1241292 (php-zendframework-zend-diactoros) - Review Request: php-zendframework-zend-diactoros - PSR HTTP Message implementations
Summary: Review Request: php-zendframework-zend-diactoros - PSR HTTP Message implement...
Keywords:
Status: CLOSED ERRATA
Alias: php-zendframework-zend-diactoros
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-08 23:08 UTC by Shawn Iwinski
Modified: 2015-08-05 05:30 UTC (History)
2 users (show)

Fixed In Version: php-zendframework-zend-diactoros-1.1.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 01:14:00 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (22.46 KB, text/plain)
2015-07-15 07:42 UTC, Remi Collet
no flags Details
review.txt (6.42 KB, text/plain)
2015-07-15 07:43 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2015-07-08 23:08:27 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/87cfc132ac09a7d6fcaaf6dba65d8ce97b2611d3/php-zendframework-zend-diactoros/php-zendframework-zend-diactoros.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-zendframework-zend-diactoros-1.1.1-1.fc22.src.rpm

Description:
A PHP package containing implementations of the accepted PSR-7 HTTP message
interfaces [1], as well as a "server" implementation similar to node's
http.Server [2].

[1] https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-7-http-message.md
[2] http://nodejs.org/api/http.html


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2015-07-15 07:42:24 UTC
Created attachment 1052227 [details]
phpci.log

phpCompatInfo version 4.4.0 DB built Jul 13 2015 09:14:16 CEST static analyze results

Comment 2 Remi Collet 2015-07-15 07:43:16 UTC
Created attachment 1052228 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04

Comment 3 Remi Collet 2015-07-15 07:46:12 UTC
[!]: License field in the package spec file matches the actual license.
  => BSD (composer says BSD-2-clause, LICENSE looks like BSD-3 but we dont care)

-License:       MIT
+License:       BSD

[~]: Rpmlint is run on all installed packages.
  => E: description-line-too-long C

proposal
-[1] https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-7-http-message.md
+[1] http://www.php-fig.org/psr/psr-7/

PErhaps better to use full patch for symfony

-        require_once 'Symfony/Component/ClassLoader/ClassLoader.php';
+        require_once '%{phpdir}/Symfony/Component/ClassLoader/ClassLoader.php';


License is a blocker.

Comment 5 Remi Collet 2015-07-15 18:40:59 UTC
[x]: License field in the package spec file matches the actual license.
[x]: Rpmlint is run on all installed packages.

Blocker fixed.

=== APPROVED ===

Comment 6 Shawn Iwinski 2015-07-15 19:00:43 UTC
THANKS for the review!



New Package SCM Request
=======================
Package Name: php-zendframework-zend-diactoros
Short Description: PSR HTTP Message implementations
Upstream URL: https://github.com/zendframework/zend-diactoros
Owners: siwinski
Branches: f21 f22 f23 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2015-07-16 04:20:05 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-07-19 21:59:13 UTC
php-zendframework-zend-diactoros-1.1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-zendframework-zend-diactoros-1.1.2-1.fc21

Comment 9 Fedora Update System 2015-07-19 21:59:22 UTC
php-zendframework-zend-diactoros-1.1.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-zendframework-zend-diactoros-1.1.2-1.fc22

Comment 10 Fedora Update System 2015-07-19 21:59:28 UTC
php-zendframework-zend-diactoros-1.1.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-zendframework-zend-diactoros-1.1.2-1.el7

Comment 11 Fedora Update System 2015-07-20 19:48:23 UTC
php-zendframework-zend-diactoros-1.1.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 12 Fedora Update System 2015-07-30 01:14:00 UTC
php-zendframework-zend-diactoros-1.1.2-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-07-30 01:15:56 UTC
php-zendframework-zend-diactoros-1.1.2-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-08-05 05:30:06 UTC
php-zendframework-zend-diactoros-1.1.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.